org.bouncycastle.asn1.cryptopro

## Class GostR3410TransportParameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cryptopro.GostR3410TransportParameters

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class GostR3410TransportParameters
      extends ASN1Object

       GostR3410-TransportParameters ::= SEQUENCE {
              encryptionParamSet   OBJECT IDENTIFIER,
              ephemeralPublicKey   [0] IMPLICIT SubjectPublicKeyInfo OPTIONAL,
              ukm                  OCTET STRING
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GostR3410TransportParameters(ASN1ObjectIdentifier encryptionParamSet, SubjectPublicKeyInfo ephemeralPublicKey, byte[] ukm)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getEncryptionParamSet()`
    `SubjectPublicKeyInfo` | `getEphemeralPublicKey()`
    `static GostR3410TransportParameters` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static GostR3410TransportParameters` | `getInstance(java.lang.Object obj)`
    `byte[]` | `getUkm()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GostR3410TransportParameters

          public GostR3410TransportParameters(ASN1ObjectIdentifier encryptionParamSet,
                                              SubjectPublicKeyInfo ephemeralPublicKey,
                                              byte[] ukm)

  - ### Method Detail

    - #### getInstance

          public static GostR3410TransportParameters getInstance(java.lang.Object obj)

    - #### getInstance

          public static GostR3410TransportParameters getInstance(ASN1TaggedObject obj,
                                                                 boolean explicit)

    - #### getEncryptionParamSet

          public ASN1ObjectIdentifier getEncryptionParamSet()

    - #### getEphemeralPublicKey

          public SubjectPublicKeyInfo getEphemeralPublicKey()

    - #### getUkm

          public byte[] getUkm()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.